
DELETE FROM log_journal
      WHERE id_journal IN (
               SELECT id_journal
                 FROM transition_instance
                WHERE id_process_instance IN (
                         SELECT id_process_instance
                           FROM process_instance
                          WHERE TRUNC (enddate) <= TRUNC (SYSDATE) - 45
                            AND enddate IS NOT NULL));

DELETE FROM transition_instance
      WHERE id_process_instance IN (
               SELECT id_process_instance
                 FROM process_instance
                WHERE TRUNC (enddate) <= TRUNC (SYSDATE) - 45
                  AND enddate IS NOT NULL);
                  
DELETE FROM VARIABLE_INSTANCE 
      WHERE ID_PROCESS_INSTANCE IN (
                SELECT ID_PROCESS_INSTANCE 
                  FROM PROCESS_INSTANCE 
                 WHERE TRUNC (enddate) <= TRUNC (SYSDATE) - 45
                   AND enddate IS NOT NULL);
                  
DELETE FROM ATTACHMENTS 
      WHERE ID_PROCESS_INSTANCE IN (
                SELECT ID_PROCESS_INSTANCE 
                  FROM PROCESS_INSTANCE 
                 WHERE TRUNC (enddate) <= TRUNC (SYSDATE) - 45
                   AND enddate IS NOT NULL);                  

DELETE FROM process_instance
      WHERE TRUNC (enddate) <= TRUNC (SYSDATE) - 45 AND enddate IS NOT NULL;
      
DELETE FROM PROPERTY_SERVICE_INSTANCE 
      WHERE ID_SERVICE_INSTANCE IN (
                SELECT ID_SERVICE_INSTANCE 
                  FROM SERVICE_INSTANCE 
                 WHERE TRUNC (enddate) <= TRUNC (SYSDATE) - 45
                   AND enddate IS NOT NULL);                  
	
DELETE FROM SERVICE_INSTANCE 
      WHERE TRUNC (enddate) <= TRUNC (SYSDATE) - 45
        AND enddate IS NOT NULL;      

commit;